skycoor(1)

Name
skycoor - Convert coordinates

Synopsis
skycoor [-bdgjv] [-n ndec] ra1 dec1 sys1 ... ran decn sysn
or
skycoor [-vbjg] [-n ndec] @listfile

Description
skycoor converts coordinates between the J2000, B1950, and galactic coordinate systems, rounding to a specified number of decimal places and printing in degrees or hh:mm:ss.sss dd:mm:ss.sss. Input coordinates may also be in either format, and the system (J2000, B1950, or galactic) may be in upper or lower case. No spaces are allowed within the individual coordinates

Options

-b  B1950 (FK4) output

-d  RA and Dec output in degrees

-e  Ecliptic longitude and latitude output

-g  Galactic longitude and latitude output

-i r|d|
    Input units (r=radians, d=degrees, else hh:mm:sss dd:mm:sss)

-j  J2000 (FK5) output

-n <num>
    Number of decimal places in output RA seconds

-o <num>
    Offset coordinates by this many arcseconds

-p  RA and Dec proper motion in milliarcseconds/year

-q  Output system, including equinox

-r <RA> <Dec> <RA> <Dec>
    Angular separation between two RA, Dec pairs

-s  Output ra= dec= epoch= radecsys= for sethead

-v  Print more intermediate information

-w  Convert RA, Dec equatorial coordinates to x,y,z

-x  Convert x,y,z equatorial coordinates to RA, Dec

-y <epoch>
    Epoch of coordinates in years

Author
Doug Mink, SAO (dmink@cfa.harvard.edu)